LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices

Reply
 
Search this Thread
Old 06-27-2010, 12:19 AM   #1
stu7
Member
 
Registered: Jun 2007
Posts: 88

Rep: Reputation: 15
how to install VLC in debian-Lenny ?


I have checked in LinuxQuestions and on the web... lots of
people are having problems installing VLC in Lenny... but, I
have not yet seen a working answer to this problem.

I should mention - VLC works without problems in the
"dpup" or "lennypup" variation of puppylinux... so, I am
not without VLC altogether_ just cant get it to work in
my standard Lenny install.

This has been a major snarlup for many months, and with lots of
other users, so, while it is reasonable to expect it will be
fixed in the next version of Debian, I wonder if it is just too
broken in Lenny to ever be fixed ?

I welcome input from any Lenny users who have gotten VLC
working !

thanks

Last edited by stu7; 06-27-2010 at 12:20 AM.
 
Click here to see the post LQ members have rated as the most helpful post in this thread.
Old 06-27-2010, 12:22 AM   #2
jrtayloriv
Member
 
Registered: Jun 2004
Location: Inland NW, US
Distribution: Ubuntu
Posts: 365
Blog Entries: 1

Rep: Reputation: 44
What, specifically, are you having problems with?
 
1 members found this post helpful.
Old 06-27-2010, 01:49 AM   #3
craigevil
Senior Member
 
Registered: Apr 2005
Location: OZ
Distribution: Debian Sid
Posts: 4,733
Blog Entries: 12

Rep: Reputation: 457Reputation: 457Reputation: 457Reputation: 457Reputation: 457
aptitude install vlc, can't be any simpler than that.

VLC conflict between debian lenny and debian-multimedia repository - http://www.zeitoun.net/articles/vlc-...ltimedia/start
 
0 members found this post helpful.
Old 06-27-2010, 01:55 AM   #4
stu7
Member
 
Registered: Jun 2007
Posts: 88

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by jrtayloriv View Post
What, specifically, are you having problems with?
with VLC... wont play video in Lenny... EEK
 
Old 06-27-2010, 01:58 AM   #5
stu7
Member
 
Registered: Jun 2007
Posts: 88

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by craigevil View Post
aptitude install vlc, can't be any simpler than that.

I guess I really should have been more clear... it is not that VLC wont
install, it is, rather, that it wont play videos... my mistake !


VLC conflict between debian lenny and debian-multimedia repository - http://www.zeitoun.net/articles/vlc-...ltimedia/start
right... Ive followed that thread... still not working. Have also tried
all the "how to install the very latest in dusty old Lenny" threads, all
of which suggest ways to break Lenny :-)
 
Old 06-27-2010, 02:39 AM   #6
jrtayloriv
Member
 
Registered: Jun 2004
Location: Inland NW, US
Distribution: Ubuntu
Posts: 365
Blog Entries: 1

Rep: Reputation: 44
Stu7 -- Please take a look at How to Ask Questions the Smart Way. It's a really good essay, and will help you get answers to technical questions, while you're trying to learn to use Linux.

Nobody is going to be able to help you, until you provide specific information about what your problem is. Saying "It doesn't work." doesn't provide enough information for anybody to diagnose and help you fix the problem you are having.

What kind of errors are you getting, if any? What else have you tried to fix it? What happened when you tried to fix it? Give specifics on your problem, or you will never get specific solutions.
 
3 members found this post helpful.
Old 06-27-2010, 03:21 AM   #7
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,157

Rep: Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643
Debian 5 Lenny , vlc :

I just installed these three with Synaptic :

vlc , libdvdread , libdvdcss2

.. And commercial encrypted DVDs play OK.
..
 
Old 06-27-2010, 03:48 AM   #8
stu7
Member
 
Registered: Jun 2007
Posts: 88

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by knudfl View Post
Debian 5 Lenny , vlc :

I just installed these three with Synaptic :

vlc , libdvdread , libdvdcss2

.. And commercial encrypted DVDs play OK.
..
hey great that it is of use to you... Ive used VLC for years,
this is the first time it messed up on me.

I checked, and do in fact have all three of the libraries you mention
already installed. After looking for VLC specific codecs, Im thinking
Lenny's version of VLC is just badly broken for MP4s somewhere.

thanks for replying.
 
Old 06-27-2010, 04:34 AM   #9
stu7
Member
 
Registered: Jun 2007
Posts: 88

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by knudfl View Post
Debian 5 Lenny , vlc :

I just installed these three with Synaptic :

vlc , libdvdread , libdvdcss2

.. And commercial encrypted DVDs play OK.
..
hmm... well... I looked at your reply more closely, and noticed
it was libdvdcss2 so I got that, and at least part of the problem
has gone away it seems. Still cant play MP4 directly, but my VLC
now plays MPG. Thanks again for taking an interest.
 
Old 06-27-2010, 04:58 AM   #10
craigevil
Senior Member
 
Registered: Apr 2005
Location: OZ
Distribution: Debian Sid
Posts: 4,733
Blog Entries: 12

Rep: Reputation: 457Reputation: 457Reputation: 457Reputation: 457Reputation: 457
See if you have libxvidcore4 - High quality ISO MPEG4 codec library installed. It is in the debian-multimedia.org repo.

apt-cache policy libxvidcore4
 
  


Reply

Tags
lenny, vlc


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
hdb/cdrom1 mounted? debian lenny VLC player mrb53 Linux - Hardware 16 02-25-2010 09:00 PM
Newer VLC in Debian Lenny matiasar Linux - Software 7 11-12-2009 07:28 AM
VLC not showing video. Debian Lenny 64. glore2002 Debian 8 10-08-2009 01:51 AM
LXer: How-To: Compile and Install Latest VLC in Debian Lenny LXer Syndicated Linux News 0 08-12-2009 06:41 AM
LXer: How-To: Compile and Install VLC 0.9.8 in Debian Lenny LXer Syndicated Linux News 0 03-24-2009 06:00 PM


All times are GMT -5. The time now is 09:03 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration